Collaboration
Collaborations define access permissions for users and groups to files and folders, similar to access control lists. A collaboration object grants a user or group access to a file or folder with permissions defined by a specific role.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
id | string | Yes | The unique identifier for this collaboration. |
type | enum<string> | Yes | The value will always be collaboration. Available options: collaboration. |
item | Collaboration item | No | The file or folder to which access is granted. The field is null when the collaboration status is pending or the collaboration is created on an app item (see app_item field). Can be null. |
app_item | App item | No | An app_item to which access is granted. The field is null when the collaboration is created on an item (see item field), or the app_item is inaccessible. The role cascades to all items associated with the app_item. Can be null. |
accessible_by | Collaboration access grantee | No | |
invite_email | string | No | The email address used to invite an unregistered collaborator, if they are not a registered user. Can be null. |
role | enum<string> | No | The level of access granted. Available options: editor, viewer, previewer, uploader, previewer uploader, viewer uploader, co-owner, owner. |
expires_at | string | No | When the collaboration will expire, or null if no expiration date is set. Can be null. |
is_access_only | boolean | No | If set to true, collaborators have access to shared items, but such items won’t be visible in the All Files list. Additionally, collaborators won’t see the path to the root folder for the shared item. |
status | enum<string> | No | The status of the collaboration invitation. If the status is pending, name returns an empty string. Available options: accepted, pending, rejected. |
acknowledged_at | string | No | When the status of the collaboration object changed to accepted or rejected. |
created_by | User (Collaborations) | No | The user who created the collaboration object. |
created_at | string | No | When the collaboration object was created. |
modified_at | string | No | When the collaboration object was last modified. |
acceptance_requirements_status | object | No |
Example
Collaborations
A list of collaborations.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
next_marker | string | No | The marker for the start of the next page of results. Can be null. |
prev_marker | string | No | The marker for the start of the previous page of results. Can be null. |
entries | array of Collaboration | No | A list of collaborations. |
Example
Collaborations
A list of collaborations.Attributes and example
Attributes and example
| Property | Type | Required | Description |
|---|---|---|---|
total_count | integer | No | One greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than total_count. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
limit | integer | No | The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
offset | integer | No | The 0-based offset of the first entry in this set. This will be the same as the offset query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
entries | array of Collaboration | No | A list of collaborations. |
Example
